%define _requires_exceptions ^devel\\(.*\\)
%define _provides_exceptions ^devel\\(.*\\)

%define akonadiprivate_major 5
%define libakonadiprivate %mklibname akonadiprivate %{akonadiprivate_major}
%define akonadi_devel %mklibname kf5akonadi -d

Name: akonadi
Summary: An extensible cross-desktop storage service for PIM
Version: 23.08.5
Release: %mkrel 1
URL: http://pim.kde.org/akonadi/
License: LGPLv2+
Group: Graphical desktop/KDE5
Source0: http://fr2.rpmfind.net/linux/KDE/stable/akonadi/src/%{name}-%{version}.tar.xz
#general buildrequires
#------------------------------------------------------
BuildRequires: lib64qt5base5-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5help-devel
BuildRequires: lib64qt5imageformats-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5qml-devel
BuildRequires: lib64qt5quick-devel
BuildRequires: lib64qt5bluetooth-devel
BuildRequires: lib64qt5concurrent-devel
BuildRequires: lib64qt5designer-devel
BuildRequires: lib64qt5labstemplates-devel
BuildRequires: lib64qt5location-devel
BuildRequires: lib64qt5multimedia-devel
BuildRequires: lib64qt5multimediawidgets-devel
BuildRequires: lib64qt5nfc-devel
BuildRequires: lib64qt5opengl-devel
BuildRequires: lib64qt5platformsupport-devel
BuildRequires: lib64qt5positioning-devel
BuildRequires: lib64qt5printsupport-devel
BuildRequires: lib64qt5quickparticles-devel
BuildRequires: lib64qt5quicktest-devel
BuildRequires: lib64qt5quickwidgets-devel
BuildRequires: lib64qt5script-devel
BuildRequires: lib64qt5scripttools-devel
BuildRequires: lib64qt5sensors-devel
BuildRequires: lib64qt5serialport-devel
BuildRequires: lib64qt5sql-devel
BuildRequires: lib64qt5svg-devel
BuildRequires: lib64qt5test-devel
BuildRequires: lib64qt5waylandclient-devel
BuildRequires: lib64qt5webchannel-devel
BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------
BuildRequires: extra-cmake-modules
BuildRequires: shared-mime-info
BuildRequires: libxslt-proc
BuildRequires: libxml2-utils
BuildRequires: mysql-devel
BuildRequires: postgresql-devel-virtual
BuildRequires: boost-devel
BuildRequires: lib64sqlite3-devel
#------------------------------------------------------
Requires: qtbase5-database-plugin-mysql
Requires: mysql-core
Requires: mysql-common
Requires: mysql-client
#------------------------------------------------------
Obsoletes: kdepimlibs-handbooks

%description
An extensible cross-desktop storage service for PIM data and meta data
providing concurrent read, write, and query access.

%files
%{_sysconfdir}/apparmor.d/mariadbd_akonadi
%{_bindir}/*
%dir %{_libdir}/%{name}
%{_datadir}/dbus-1/services/*
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/mime/packages/akonadi-mime.xml
%{_datadir}/akonadi/agents/knutresource.desktop
%{_datadir}/config.kcfg/resourcebase.kcfg
%{_datadir}/kf5/akonadi/akonadi-xml.xsd
%{_datadir}/kf5/akonadi/kcfg2dbus.xsl
%{_datadir}/kf5/akonadi_knut_resource/knut-template.xml
#------------------------------------------------------------------------------
%{_libdir}/libKPim5AkonadiAgentBase.so.*
%{_libdir}/libKPim5AkonadiCore.so.*
%{_libdir}/libKPim5AkonadiPrivate.so.*
%{_libdir}/libKPim5AkonadiWidgets.so.*
%{_libdir}/libKPim5AkonadiXml.so.*
#------------------------------------------------------------------------------
%{_datadir}/qlogging-categories5/akonadi.categories
%{_datadir}/qlogging-categories5/akonadi.renamecategories
%{_datadir}/locale
%{_datadir}/icons/hicolor
%{_sysconfdir}/xdg/akonadi/mysql-global-mobile.conf
%{_sysconfdir}/xdg/akonadi/mysql-global.conf
%{_sysconfdir}/apparmor.d/mysqld_akonadi
%{_sysconfdir}/apparmor.d/postgresql_akonadi
%{_sysconfdir}/apparmor.d/usr.bin.akonadiserver
%{_libdir}/qt5/plugins/designer/akonadi5widgets.so
%{_libdir}/qt5/plugins/pim5/akonadi/akonadi_test_searchplugin.so
%{_datadir}/kdevappwizard/templates/akonadiresource.tar.bz2
%{_datadir}/kdevappwizard/templates/akonadiserializer.tar.bz2

%package   -n %akonadi_devel
Summary:   Devel stuff for %name
Group:     Development/Libraries
Requires:  %name
Obsoletes: akonadi-devel
Provides:  akonadi-devel = %version-%release
Provides:  devel(libKPim5AkonadiCore(64bit))
Provides:  devel(libKPim5AkonadiWidgets(64bit))

%description  -n %akonadi_devel
This package contains header files needed if you wish to build applications
based on %name

%files -n %akonadi_devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/cmake
%{_libdir}/qt5/mkspecs/
#------------------------------------------------------------------------------


%prep
%setup -q 

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_qt5 -GNinja -DMYSQLD_EXECUTABLE=/usr/sbin/mysqld -DCMAKE_BUILD_TYPE=Release -DBUILD_TESTING=OFF
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

# We own this as this is present in some packages like korganiser
mkdir -p %buildroot%{_libdir}/%{name}


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

